Package com.google.android.exoplayer2.metadata.mp4

## Class SlowMotionData.Segment

- java.lang.Object
- - com.google.android.exoplayer2.metadata.mp4.SlowMotionData.Segment

- All Implemented Interfaces:
    `Parcelable`
  Enclosing class:
    SlowMotionData

      public static final class SlowMotionData.Segment
      extends Object
      implements Parcelable

  Holds information about a single segment of slow motion playback within a track.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Comparator<SlowMotionData.Segment>` | `BY_START_THEN_END_THEN_DIVISOR` |
    `static Parcelable.Creator<SlowMotionData.Segment>` | `CREATOR` |
    `long` | `endTimeMs` | The end time, in milliseconds, of the track segment that is intended to be slow motion.
    `int` | `speedDivisor` | The speed reduction factor.
    `long` | `startTimeMs` | The start time, in milliseconds, of the track segment that is intended to be slow motion.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Segment​(long startTimeMs, long endTimeMs, int speedDivisor)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BY_START_THEN_END_THEN_DIVISOR

          public static final Comparator<SlowMotionData.Segment> BY_START_THEN_END_THEN_DIVISOR

    - #### startTimeMs

          public final long startTimeMs

      The start time, in milliseconds, of the track segment that is intended to be slow motion.

    - #### endTimeMs

          public final long endTimeMs

      The end time, in milliseconds, of the track segment that is intended to be slow motion.

    - #### speedDivisor

          public final int speedDivisor

      The speed reduction factor.

      For example, 4 would mean the segment should be played at a quarter (1/4) of the normal speed.

    - #### CREATOR

          public static final Parcelable.Creator<SlowMotionData.Segment> CREATOR

  - ### Constructor Detail

    - #### Segment

          public Segment​(long startTimeMs,
                         long endTimeMs,
                         int speedDivisor)

      Creates an instance.
      Parameters:
        `startTimeMs` - See `startTimeMs`. Must be less than endTimeMs.
        `endTimeMs` - See `endTimeMs`.
        `speedDivisor` - See `speedDivisor`.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`